<script lang="ts">
import { computed, defineComponent } from '@vue/composition-api'

export default defineComponent({
	props: {
		showCounter: {
			type: Boolean,
			default: false,
		},
		amount: {
			type: Number,
			default: 0
		},
		max: {
			type: Number,
			default: -1
		},
		color: {
			type: String,
			required: true
		}
	},
	setup(props) {
		let getColor = computed(() => {
			return props.color?.toLowerCase() ?? 'transparent'
		});

		return { getColor };
	},
})
</script>

<template>
	<div>
		<v-icon
			class="chip_icon"
			:color="getColor"
			v-bind="$attrs">{{ !color ? "mdi-help-circle-outline" : "contactless" }}</v-icon>

		<template v-if="showCounter">
			<template v-if="max >= 0">
				{{ amount }} / {{max}}
			</template>

			<template v-else>
				x {{ amount }} 
			</template>
			
		</template>
	</div>
</template>

<style scoped>
.chip_icon {
	-webkit-text-stroke: 1px lightgray;
	border-radius: 50%;
	size: 2em;
}
</style>